EVENTFD_CTX_REMOVE_W(9)

NAME
eventfd_ctx_remove_wait_queue - Read the current counter and removes wait queue.

SYNOPSIS

int eventfd_ctx_remove_wait_queue(struct eventfd_ctx * ctx, wait_queue_t * wait, __u64 * cnt);

ARGUMENTS

ctx
    [in] Pointer to eventfd context.

wait
    [in] Wait queue to be removed.

cnt
    [out] Pointer to the 64-bit counter value.

DESCRIPTION

Returns 0 if successful, or the following error codes:

-EAGAIN : The operation would have blocked.

This is used to atomically remove a wait queue entry from the eventfd wait queue head, and read/reset the counter value.

COPYRIGHT